<?php
session_start();
include("session.inc.php");
include("colors.inc.php");
if ($_SESSION['CMS-Login'] == "LOGEDIN" OR $session == false) {
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" />
		<title>cms -db Adminbereich</title>
		<style type="text/css" media="screen">
		/*<![CDATA[*/
		* {
			font-family: Century Gothic,URW Gothic L,Arial,Helvetica,sans-serif;
			font-size: 10pt;
		}
		body {
			margin-top: 24px;
			margin-left: 0px;
			margin-right: 0px;
			margin-bottom: 0px;
			background-color: rgb(<?php echo $bg_r ?>,<?php echo $bg_g ?>,<?php echo $bg_b ?>);
			color: rgb(<?php echo $text_r ?>,<?php echo $text_g ?>,<?php echo $text_b ?>);
		}
		#bar {
			background-color: #eeeeee;
			background-image: url("top.png");
			background-repeat: repeat-x;
			position: absolute;
			top: 0px;
			left: 0px;
			right: 0px;
			padding-top: 0px;
			padding-left: 5px;
			padding-right: 5px;
			padding-bottom: 0px;
			height: 24px;
		}
		.barinactive {
			background-color: transparent;
			color: #000000;
			font-size: 10pt;
			font-family: Century Gothic,URW Gothic L,Arial,Helvetica,sans-serif;
			text-decoration: none;
			height: 24px;
			width: 50px;
			text-align: center;
		}
		.baractive {
			background-color: rgb(<?php echo $bg_r ?>,<?php echo $bg_g ?>,<?php echo $bg_b ?>);
			background-image: url("bg_menu.png");
			background-repeat: no-repeat;
			color: #000000;
			font-size: 10pt;
			font-family: Century Gothic,URW Gothic L,Arial,Helvetica,sans-serif;
			text-decoration: none;
			height: 24px;
			width: 50px;
			text-align: center;
		}
		#menu {
			background-color: #ffffff;
			color: #000000;
			font-size: 10pt;
			font-family: Century Gothic,URW Gothic L,Arial,Helvetica,sans-serif;
			text-decoration: none;
			width: 200px;
			position: absolute;
			top: 23px;
			left: 5px;
			border: 1px solid #999999;
		}
		.menuinactive {
			display: block;
			background-color: transparent;
			color: #000000;
			font-size: 10pt;
			font-family: Century Gothic,URW Gothic L,Arial,Helvetica,sans-serif;
			text-decoration: none;
			padding-left: 5px;
			padding-right: 5px;
			height: 24px;
		}
		.menuactive {
			display: block;
			background-color: rgb(<?php echo $bg_r ?>,<?php echo $bg_g ?>,<?php echo $bg_b ?>);
			background-image: url("bg_menuitem.png");
			background-repeat: no-repeat;
			color: #000000;
			font-size: 10pt;
			font-family: Century Gothic,URW Gothic L,Arial,Helvetica,sans-serif;
			text-decoration: none;
			padding-left: 5px;
			padding-right: 5px;
			height: 24px;
		}
		#desktop {
			padding: 10px;
		}
		.button {
			text-decoration:none;
			background-color: transparent;
		}
		.button>img {
			vertical-align: top;
		}
		.buttoninactive {
			padding-top: 4px;
			padding-left: 2px;
			padding-right: 2px;
			padding-bottom: 4px;
			width: 16px;
			height: 16px;
			background-color: transparent;
		}
		.buttonactive {
			padding-top: 4px;
			padding-left: 2px;
			padding-right: 2px;
			padding-bottom: 4px;
			width: 16px;
			height: 16px;
			background-color: rgb(<?php echo $bg_r ?>,<?php echo $bg_g ?>,<?php echo $bg_b ?>);
			background-image: url("bg_button.png");
			background-repeat: no-repeat;
		}
		#time {
			color: #000000;
		}
		#date {
			position: absolute;
			top: 23px;
			right: 4px;
			border: 1px solid #999999;
			color: #000000;
			background-color: #ffff99;
			padding-top: 0px;
			padding-left: 2px;
			padding-right: 2px;
			padding-bottom: 0px;
		}
		/*]]>*/
		</style>
		<script type="text/javascript">
		/* <![CDATA[ */
		function showmenu() {
			document.getElementById("menu").style.display = "block";
		}
		function hidemenu() {
			document.getElementById("menu").style.display = "none";
			menuinactive();
			barinactive("bar-menu");
		}
		function switchmenu() {
			if (document.getElementById("menu").style.display == "none") {
				showmenu();
				baractive("bar-menu");
			} else {
				hidemenu();
			}
		}
		function menuinactive() {
			document.getElementById("menu-pages").className = "menuinactive";
			document.getElementById("menu-files").className = "menuinactive";
			document.getElementById("menu-includes").className = "menuinactive";
			document.getElementById("menu-settings").className = "menuinactive";
			document.getElementById("menu-template").className = "menuinactive";
			document.getElementById("menu-space").className = "menuinactive";
			document.getElementById("menu-perms").className = "menuinactive";
			document.getElementById("menu-backup").className = "menuinactive";
			document.getElementById("menu-search").className = "menuinactive";
			document.getElementById("menu-gbook").className = "menuinactive";
		}
		function menuactive(foo) {
			document.getElementById(foo).className = "menuactive";
		}
		function baractive(foo) {
			document.getElementById(foo).className = "baractive";
		}
		function barinactive(foo) {
			document.getElementById(foo).className = "barinactive";
		}
		function bar(foo) {
			if (document.getElementById("menu").style.display == "none") {
				barinactive(foo);
			}
		}
		function init() {
			document.getElementById("all").style.visibility = "visible";
			document.getElementById("javascript").style.display = "none";
			document.getElementById("close").style.display = "none";
			if (navigator.appName.indexOf("Explorer") != -1) {
				cwidth = document.documentElement.clientWidth;
				cheight = document.documentElement.clientHeight;
				document.getElementById("iframe").width = cwidth;
				document.getElementById("iframe").height = cheight - 24;
			} else {
				iwidth = window.innerWidth;
				iheight = window.innerHeight;
				document.getElementById("iframe").width = iwidth;
				document.getElementById("iframe").height = iheight - 24;
			}
			setDateInvisible();
			time();
		}
		function hideiframe() {
			document.getElementById("iframe").style.display = "none";
			document.getElementById("close").style.display = "none";
			document.getElementById("desktop").style.display = "block";
		}
		function showiframe() {
			document.getElementById("iframe").style.display = "block";
			document.getElementById("close").style.display = "inline";
			document.getElementById("desktop").style.display = "none";
		}
		function buttonactive(foo) {
			buttoninactive()
			document.getElementById(foo).className = "buttonactive";
		}
		function buttoninactive() {
			if (document.getElementById("split")) {
				document.getElementById("split").className = "buttoninactive";
			}
			if (document.getElementById("unsplit")) {
				document.getElementById("unsplit").className = "buttoninactive";
			}
			if (document.getElementById("logout")) {
				document.getElementById("logout").className = "buttoninactive";
			}
			document.getElementById("preview").className = "buttoninactive";
			document.getElementById("info").className = "buttoninactive";
			document.getElementById("closeb").className = "buttoninactive";
		}
		function time () {
			var now = new Date();
			var weekday = now.getDay(); //Wochentag ermitteln
			var dayarray = new Array("Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"); //Array
			var day = now.getDate(); //Tag ermitteln
			var month = now.getMonth(); //Monat ermitteln
			var montharray = new Array("Januar", "Februar", "M&auml;rz", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"); //Array
			var year = now.getFullYear(); //Jahr ermitteln
			var hour = now.getHours(); //Stunden ermitteln
			var min = now.getMinutes(); //Minuten ermitteln
			if (min < 10) { min = "0"+min; }
			document.getElementById("time").firstChild.nodeValue = hour+":"+min;
			document.getElementById("date").firstChild.nodeValue = dayarray[weekday]+", "+day+". "+montharray[month]+" "+year;
			timeout = window.setTimeout("time()", 5000);
		}
		function setDateVisible() {
			document.getElementById("date").style.display = "block";
		}
		function setDateInvisible() {
			document.getElementById("date").style.display = "none";
		}
		/* ]]> */
		</script>
	</head>
	<body onLoad="init();window.onresize=init">

		<div id="all" style="visibility:hidden">
			<div id="desktop">
				<a href="pages.php?<?php echo SID ?>" target="iframe" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='Seitenverwaltung'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="showiframe();hidemenu()" title="Seitenverwaltung" style="text-decoration:none">
					<img src="big-icons/pages.png" alt="Seitenverwaltung" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="files.php?<?php echo SID ?>" target="iframe" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='Dateiverwaltung'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'"  onclick="showiframe();hidemenu()" title="Dateiverwaltung" style="text-decoration:none">
					<img src="big-icons/files.png" alt="Dateiverwaltung" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="includes.php?<?php echo SID ?>" target="iframe" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='Verwaltung von Include-Dateien'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="showiframe();hidemenu()" title="Verwaltung von Include-Dateien" style="text-decoration:none">
					<img src="big-icons/includes.png" alt="Verwaltung von Include-Dateien" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="settings.php?<?php echo SID ?>" target="iframe" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='Einstellungen &auml;ndern'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="showiframe();hidemenu()" title="Einstellungen &auml;ndern" style="text-decoration:none">
					<img src="big-icons/settings.png" alt="Einstellungen &auml;ndern" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="template.php?<?php echo SID ?>" target="iframe" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='Template/Design bearbeiten'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="showiframe();hidemenu()" title="Template/Design bearbeiten" style="text-decoration:none">
					<img src="big-icons/template.png" alt="Template/Design bearbeiten" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="space.php?<?php echo SID ?>" target="iframe" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='Speicherplatzinformationen'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="showiframe();hidemenu()" title="Speicherplatzinformation" style="text-decoration:none">
					<img src="big-icons/space.png" alt="Speicherplatzinformationen" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="fileperms.php?<?php echo SID ?>" target="iframe" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='Dateirechteverwaltung'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="showiframe();hidemenu()" title="Dateirechteverwaltung" style="text-decoration:none">
					<img src="big-icons/fileperms.png" alt="Dateirechteverwaltung" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="backup.php?<?php echo SID ?>" target="iframe" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='Sicherheitskopien erstellen'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="showiframe();hidemenu()" title="Sicherheitskopien erstellen" style="text-decoration:none">
					<img src="big-icons/backup.png" alt="Sicherheitskopien erstellen" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="search.php?<?php echo SID ?>" target="iframe" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='Such-Index l&ouml;schen/ansehen'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="showiframe();hidemenu()" title="Such-Index l&ouml;schen/ansehen" style="text-decoration:none">
					<img src="big-icons/search.png" alt="Such-Index l&ouml;schen/ansehen" width="48" height="48" style="border:none" />
				</a>
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<a href="guestbook.php?<?php echo SID ?>" target="iframe" onmouseover="document.getElementById('buttontext').firstChild.nodeValue='G&auml;stebucheintr&auml;ge l&ouml;schen'" onmouseout="document.getElementById('buttontext').firstChild.nodeValue='&nbsp;'" onclick="showiframe();hidemenu()" title="G&auml;stebucheintr&auml;ge l&ouml;schen" style="text-decoration:none">
					<img src="big-icons/guestbook.png" alt="G&auml;stebucheintr&auml;ge l&ouml;schen" width="48" height="48" style="border:none" />
				</a>
				<br />
				<span id="buttontext" style="font-weight:bold;font-size:15px">&nbsp;</span>
				<?php
				if (ini_get('safe_mode')) {
					echo '<br /><br />Es m&uuml;ssen Angaben bei den FTP-Einstellungen eingestellt werden!<br><a href="ftpsettings.php" target="iframe" onClick="showiframe();hidemenu()">einstellen</a>';
				}
				?>
			</div>
			<iframe src="about:blank" id="iframe" name="iframe" height="400" width="700" style="border:none;display:none;background-color:#ffffff"></iframe>
			<div id="bar">
				<a href="#" onMouseOver="baractive('bar-menu')" onMouseOut="bar('bar-menu')" onMouseDown="switchmenu()" id="bar-menu" class="barinactive" style="float:left">Men&uuml;</a>
				<div style="float:right">
<?php if ($_GET['mode'] != 'splitleft' && $_GET['mode'] != 'splitright') { ?>
					<a href="frame2.php?<?php echo SID ?>" class="button">
						<img src="split.png" width="16" height="16" alt="Fenster teilen" title="Fenster teilen" style="border:none" id="split" onMouseOver="buttonactive('split')" onMouseOut="buttoninactive()" class="buttoninactive" />
					</a>
<?php } ?>
					<a href="../page/" target="iframe" onClick="showiframe();hidemenu()" class="button">
						<img src="preview.png" width="16" height="16" alt="Webseitenvorschau" title="Webseitenvorschau" style="border:none" id="preview" onMouseOver="buttonactive('preview')" onMouseOut="buttoninactive()" class="buttoninactive" />
					</a>
					<a href="version.php" target="iframe" onClick="showiframe();hidemenu()" class="button">
						<img src="info.png" width="16" height="16" alt="&Uuml;ber cms -db" title="&Uuml;ber cms -db" style="border:none" id="info" onMouseOver="buttonactive('info')" onMouseOut="buttoninactive()" class="buttoninactive" />
					</a>
					<a href="#" onClick="hideiframe();hidemenu()" id="close" class="button">
						<img src="close.png" width="16" height="16" alt="Schlie&szlig;en" title="Schlie&szlig;en" style="border:none" id="closeb" onMouseOver="buttonactive('closeb')" onMouseOut="buttoninactive()" class="buttoninactive" />
					</a>
<?php if ($_GET['mode'] != 'splitleft') { ?>
					<a href="logout.php?<?php echo SID ?>" target="_top" class="button">
						<img src="logout.png" width="16" height="16" alt="cms -db beenden" title="cms -db beenden" style="border:none" id="logout" onMouseOver="buttonactive('logout')" onMouseOut="buttoninactive()" class="buttoninactive" />
					</a>
					<span id="time" onmouseover="setDateVisible()" onmouseout="setDateInvisible()">00:00</span>
					<div id="date">Tag, 0. Monat 0000</span>
<?php } else { ?>
					<a href="frame.php?<?php echo SID ?>" target="_top" class="button">
						<img src="unsplit.png" width="16" height="16" alt="Teilung aufheben" title="Teilung aufheben" style="border:none" id="unsplit" onMouseOver="buttonactive('unsplit')" onMouseOut="buttoninactive()" class="buttoninactive" />
					</a>
<?php } ?>
				</div>
			</div>
			<div id="menu" style="display:none">
				<a href="pages.php?<?php echo SID ?>" target="iframe" onClick="hidemenu();showiframe()" onMouseOver="menuactive('menu-pages')" onMouseOut="menuinactive()" id="menu-pages" class="menuinactive">Seiten</a>
				<a href="files.php?<?php echo SID ?>" target="iframe" onClick="hidemenu();showiframe()" onMouseOver="menuactive('menu-files')" onMouseOut="menuinactive()" id="menu-files" class="menuinactive">Dateien</a>
				<a href="includes.php?<?php echo SID ?>" target="iframe" onClick="hidemenu();showiframe()" onMouseOver="menuactive('menu-includes')" onMouseOut="menuinactive()" id="menu-includes" class="menuinactive">Includes</a>
				<a href="settings.php?<?php echo SID ?>" target="iframe" onClick="hidemenu();showiframe()" onMouseOver="menuactive('menu-settings')" onMouseOut="menuinactive()" id="menu-settings" class="menuinactive">Einstellungen</a>
				<a href="template.php?<?php echo SID ?>" target="iframe" onClick="hidemenu();showiframe()" onMouseOver="menuactive('menu-template')" onMouseOut="menuinactive()" id="menu-template" class="menuinactive">Template</a>
				<a href="space.php?<?php echo SID ?>" target="iframe" onClick="hidemenu();showiframe()" onMouseOver="menuactive('menu-space')" onMouseOut="menuinactive()" id="menu-space" class="menuinactive">Speicherplatz</a>
				<a href="fileperms.php?<?php echo SID ?>" target="iframe" onClick="hidemenu();showiframe()" onMouseOver="menuactive('menu-perms')" onMouseOut="menuinactive()" id="menu-perms" class="menuinactive">Datei-Rechte</a>
				<a href="backup.php?<?php echo SID ?>" target="iframe" onClick="hidemenu();showiframe()" onMouseOver="menuactive('menu-backup')" onMouseOut="menuinactive()" id="menu-backup" class="menuinactive">Backups</a>
				<a href="search.php?<?php echo SID ?>" target="iframe" onClick="hidemenu();showiframe()" onMouseOver="menuactive('menu-search')" onMouseOut="menuinactive()" id="menu-search" class="menuinactive">Suchindex</a>
				<a href="guestbook.php?<?php echo SID ?>" target="iframe" onClick="hidemenu();showiframe()" onMouseOver="menuactive('menu-gbook')" onMouseOut="menuinactive()" id="menu-gbook" class="menuinactive">G&auml;stebuch</a>
			</div>
		</div>
		<div id="javascript">Bitte aktivieren Sie JavaScript in ihrem Browser.</div>

	</body>
</html>
<?php
} else {
header("Location:index.php");
}
?>
